{ pkgs, lib, config, ... }: {
  options.mods.docker.media = {
    enable = lib.mkEnableOption {
      default = false;
      description = "enables docker containers for media server";
    };
  };

  config = lib.mkIf config.mods.docker.media.enable {
    # virtualisation.arion = {
    #   backend = "docker";
    #   projects = {
    #     "hyperpipe".settings.services = {
    #       "hyperpipe-frontend".service = {
    #         image = "codeberg.org/hyperpipe/hyperpipe:latest";
    #         container-name = "hyperpipe-frontend";
    #         restart = "unless-stopped";
    #         ports = ["8080:80"];
    #       };
    #       "hyperpipe-backend".service = {
    #         image = "codeberg.org/hyperpipe/hyperpipe:latest";
    #         container_name = "hyperpipe-backend";
    #         restart = "unless-stopped";
    #         ports = ["3000:3000"];
    #       };
    #     };
    #   };
    # };
  };
}
